## org.hibernate.transaction
Class TransactionFactoryFactory

    java.lang.Object
      org.hibernate.transaction.TransactionFactoryFactory

    public final class TransactionFactoryFactory

extends Object

Helper for creating `TransactionFactory` instances.

Author:
  Gavin King

Method Summary
`static TransactionFactory` `buildTransactionFactory(Properties transactionProps)` Create an appropriate transaction factory based on the given configuration properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### buildTransactionFactory

    public static TransactionFactory buildTransactionFactory(Properties transactionProps)
                                                      throws HibernateException

  Create an appropriate transaction factory based on the given configuration properties.

  Parameters:
    `transactionProps` - transaction properties
  Returns:
    The appropriate transaction factory.
  Throws:
    `HibernateException` - Indicates a problem creating the appropriate transaction factory.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.